Connector crashes (Interrupted System Error)

Bug #712080 reported by Martin Altmayer on 2011-02-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MySQL Connector/Python
Incomplete
Undecided
Unassigned

Bug Description

Version information:
MySQL Connector: (0, 3, 2, 'devel', 292)
Python 3.1.2
MySQL: 5.1.41-3ubuntu12.9
Linux: 2.6.32-28-generic #55-Ubuntu SMP Mon Jan 10 21:21:01 UTC 2011 i686 GNU/Linux

Sometimes the connector crashes with the following error:

Traceback (most recent call last):
  File "/usr/local/lib/python3.1/dist-packages/mysql/connector/connection.py", line 166, in recv_plain
    buf.extend(self.sock.recv(self.recvsize))
socket.error: [Errno 4] Interrupted system call

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  ... (some of my files)
  ...
  File "/usr/local/lib/python3.1/dist-packages/mysql/connector/cursor.py", line 333, in execute
    res = self.db().protocol.cmd_query(stmt)
  File "/usr/local/lib/python3.1/dist-packages/mysql/connector/protocol.py", line 137, in deco
    return func(*args, **kwargs)
  File "/usr/local/lib/python3.1/dist-packages/mysql/connector/protocol.py", line 495, in cmd_query
    return self.handle_cmd_result(self.conn.recv())
  File "/usr/local/lib/python3.1/dist-packages/mysql/connector/connection.py", line 191, in recv_plain
    values=dict(socketaddr=self.get_address(),errno=e.errno))
mysql.connector.errors.InterfaceError: 2055: Lost connection to MySQL server at 'localhost:3306', system error: 4

The query executed at this particular occurrence was "SELECT path FROM files WHERE element_id = {0}" where {0} is replaced with an integer -- so nothing special. The bug does not seem to depend on the query anyway - it just happens sometimes.

Martin Altmayer (maranos) wrote :

Ah, I forgot to mention that I had this bug already before updating to version 0.3.2. I was using 0.2.1 then.

I failed to reply to this bug report.

Has his problem happened again? It looks more like the MySQL server had problems.

Changed in myconnpy:
status: New → Incomplete
Nick Arnett (nick-arnett) wrote :

Did this ever get addressed? I'm seeing the same thing - hangs indefinitely at line 252 of protocol.py.

Nick, what version of Connector/Python? What system you are on?
If you get it repeated and have a test case, please open bug on http://bugs.mysql.com

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers